# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "memori"
version = "0.1.2"
authors = ["Tomoro Saito<s.tomoro0726@gmail.com>"]
build = false
include = [
    "src/**/*",
    "Cargo.toml",
    "README.md",
    "LICENSE",
    "viewer/dist/index.html",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A highly precise benchmarking and profiling suite for Rust."
readme = "README.md"
license = "MIT"
repository = "https://github.com/Tomoro0726/Memori"

[features]
default = []
real_time = []

[lib]
name = "memori"
path = "src/lib.rs"

[[bin]]
name = "memori"
path = "src/main.rs"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.149"

[target.'cfg(target_os = "linux")'.dependencies.perf-event]
version = "0.4.9"
